
common_set_of_daal_failures = {
    'test_dtype_match.*',
    'test_nonuniform_strategies.*', # https://github.com/IntelPython/daal4py/issues/69
    }
mac_failures = common_set_of_daal_failures.copy()
mac_failures.update({
    'test_sparse_classification',  # SAT-1591
})

CONFIG = {
    'framework' : 'other',
    'arg' : 'pytest --disable-warnings -m "not network" --pyargs sklearn',
    'env' : None,
    'expect_except' : None,
    'need_sources' : False,
    'location' : None,
    'use_re' : True,
    'parser' : 'pytest',
    'errors' : {
        '2.7' : {
            'Win' : set(),
            'Lin' : set(),
            'Mac' : set()
        },
        '3.5' : {
            'Win' : set(),
            'Lin' : set(),
            'Mac' : set()
        },
    },
    'failures' : {
        '2.7' : {
            'Win' : common_set_of_daal_failures,
            'Lin' : common_set_of_daal_failures,
            'Mac' : mac_failures
        },
        '3.5' : {
            'Win' : common_set_of_daal_failures,
            'Lin' : common_set_of_daal_failures,
            'Mac' : mac_failures
        },
        '3.6' : {
            'Win' : common_set_of_daal_failures,
            'Lin' : common_set_of_daal_failures,
            'Mac' : mac_failures
        },
    },
    'validation' : {
        'failures' : {
            '2.7' : {
                'Win' : {
                    'test_standard_scaler_numerical_stability',#SAT-1662
                },
                'Lin' : set(),
                'Mac' : set(),
            },
        },
    },
}

def fetch_config(pyver):
    return CONFIG
